Gentoo Archives: gentoo-commits

From: Lars Wendler <polynomial-c@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/libv4l/
Date: Thu, 28 Feb 2019 20:22:38
Message-Id: 1551385343.0407e896e50a5c07469b0e62eaa6866c1e8c15bf.polynomial-c@gentoo
commit:     0407e896e50a5c07469b0e62eaa6866c1e8c15bf
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 28 20:22:23 2019 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Thu Feb 28 20:22:23 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0407e896

media-libs/libv4l: Don't use prune_libtool_files

Closes: https://bugs.gentoo.org/679084
Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 media-libs/libv4l/libv4l-1.16.3.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/media-libs/libv4l/libv4l-1.16.3.ebuild b/media-libs/libv4l/libv4l-1.16.3.ebuild
index 7774dbcf964..d8b2b4de598 100644
--- a/media-libs/libv4l/libv4l-1.16.3.ebuild
+++ b/media-libs/libv4l/libv4l-1.16.3.ebuild
@@ -3,7 +3,7 @@
 
 EAPI="7"
 
-inherit eutils libtool linux-info multilib-minimal
+inherit libtool linux-info multilib-minimal
 
 MY_P="v4l-utils-${PV}"
 
@@ -59,5 +59,5 @@ multilib_src_install() {
 
 multilib_src_install_all() {
 	dodoc ChangeLog README.lib* TODO
-	prune_libtool_files --all
+	find "${ED}" \( -name "*.a" -o -name "*.la" \) -delete || die
 }